import { createClient as _createClient, createCluster as _createCluster, } from '@redis/client';
import RedisBloomModules from '@redis/bloom';
import RedisGraph from '@redis/graph';
import RedisJSON from '@redis/json';
import RediSearch from '@redis/search';
import RedisTimeSeries from '@redis/time-series';
// export * from '@redis/client';
// export * from '@redis/bloom';
// export * from '@redis/graph';
// export * from '@redis/json';
// export * from '@redis/search';
// export * from '@redis/time-series';
const modules = {
    ...RedisBloomModules,
    graph: RedisGraph,
    json: RedisJSON,
    ft: RediSearch,
    ts: RedisTimeSeries
};
export function createClient(options) {
    return _createClient({
        ...options,
        modules: {
            ...modules,
            ...options?.modules
        }
    });
}
export function createCluster(options) {
    return _createCluster({
        ...options,
        modules: {
            ...modules,
            ...options?.modules
        }
    });
}
